.NET

Reply
Active Member
inner_es
Posts: 8
Registered: ‎02-03-2010
Message 1 of 3 (326 Views)
Accepted Solution

changes in DocumentCollectionEventArgs in 2013

326 Views, 2 Replies
10-04-2012 11:35 PM

this code used to work in AutoCAD 2007-2012, but not in 2013

 

    xAcad = Autodesk.AutoCAD.ApplicationServices.Application.AcadApplication
    ThisDrawing = xAcad.ActiveDocument

    Public Sub AddDocumentToBeDestroyedEvent()
        Try
            AddHandler Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.DocumentToBeDestroyed, AddressOf subDocumentToBeDestroyed
        Catch
        End Try
    End Sub

    Public Sub subDocumentToBeDestroyed(ByVal senderObj As Object, ByVal docColDocActEvtArgs As DocumentCollectionEventArgs)
        '::::::::::::::::::::::::::::::::::::::::
        Try

            If ThisDrawing Is docColDocActEvtArgs.Document.AcadDocument Then
                

            Else

            End If
        Catch ex As System.Exception
            MsgBox("Error en docColDocAct: " & ex.Message)
        End Try
    End Sub

 

it sends the error 'AcadDocument' is not a member of 'Autodesk.AutoCAD.ApplicationServices.Document'

 

anybody knows the new way to check in both documents are equal?

*Expert Elite*
Alfred.NESWADBA
Posts: 8,893
Registered: ‎06-29-2007
Message 2 of 3 (319 Views)

Hi,Re: changes in DocumentCollectionEventArgs in 2013

10-05-2012 12:22 AM in reply to: inner_es

Hi,

 

>> it sends the error 'AcadDocument' is not a member of

>> 'Autodesk.AutoCAD.ApplicationServices.Document'

Use this code for 2013 the get the COM-object of the AutoCAD-document (im my snippet: AcadDoc)

Imports Autodesk.AutoCAD

...

CType(ApplicationServices.DocumentExtension.GetAcadDocument(AcadDoc), Interop.AcadDocument)

 

- alfred -

-------------------------------------------------------------------------
Alfred NESWADBA
Ingenieur Studio HOLLAUS ... www.hollaus.at
-------------------------------------------------------------------------
Active Member
inner_es
Posts: 8
Registered: ‎02-03-2010
Message 3 of 3 (307 Views)

Re: Hi,Re: changes in DocumentCollectionEventArgs in 2013

10-05-2012 08:30 AM in reply to: Alfred.NESWADBA

yep, this work

 

            If ThisDrawing Is CType(Autodesk.AutoCAD.ApplicationServices.DocumentExtension.GetAcadDocument(docColDocActEvtArgs.Document), Autodesk.AutoCAD.Interop.AcadDocument) Then

thanks a lot

 

regards

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community